Subject: RE: bug#43702: Emacs master: Incorrect highlighting in regexp isearch.

From: Drew Adams <[email-masked]>
Date: Tue, 13 Oct 2020 13:54:57 -0700 (PDT)

> > I don't understand why you change the signature of
> > `replace-highlight' by adding parameter MATCH-DATA.
> >
> > I just use (match-beginning GROUP) and (match-end GROUP),
> > instead of explicitly passing the match data and then
> > copying it all with `butlast' etc. just to find the
> > group's match beginning and end.
> 
> But as you can see in the patch, it doesn't use (match-data).
> It uses the variable 'real-match-data'.

Yes, I saw that.  I suppose it must be
relevant, but it's not clear to me why.

I haven't noticed any problem with just using
the latest match data, but I haven't tested much.

It would be good to add a code comment to cite a
case or specify the cases where it matters.  Thx.